/**
 * 待回访，已回访,综合查询
 * */
var detailOrderNum = ''; //获取工单详情的工单编号
$(document).ready(function() {
	//初始化时间
	laydate.render({
		elem: '#sc_time',
		range: '~',
		theme: '#1ab394',
		calendar: true
	});
	//获取工单来源
	helper.getDropList.getlistDropByDic($('#sc_source'), 'GDLY');
	//获取工单类型
	helper.getDropList.getlistDropByDic($('#sc_order_type'), 'GDLX');
	//获取呼叫结果
	helper.getDropList.getlistDropByDic($('#sc_callResult'), 'HJJG');
	
	initTable();
	$("#sc_btns").click(function() {
		initTable();
	});

	// 详情
	$(".ckxq ul li").click(function() {
		$(this).addClass("Active").siblings().removeClass("Active");
		var tabindex = $(this).index();
		$(".gdxq").hide();
		$(".gdxq").eq(tabindex).show();
		if(tabindex === 0) {
			getWorkOrderDetails();
		} else if(tabindex > 0 && tabindex < 4) {
			getItemList(tabindex);
		} else if(tabindex === 4) {
			initTableLogs();
		}
	});
	$(".Closed").click(function() {
		$(".ckxq").addClass("Hidens");
	});

});

//工单管理内的列表
function initTable() {
	var orderMenu = top.$("iframe:visible")[0].src.split('/visit/')[1];
	//console.log(orderMenu);
	//是否回访（0待回访，1已回访，null回访查询）
	var state = '';
	switch(orderMenu) {
		case "awaitVist.html": //待回访
			state = '4';
			break;
		case "haveVisit.html": //已回访
			state = '6';
			break;
		case "Tobeend.html": //待完结
			state = '7';
			break;
		case "resultVisit.html": //综合查询
			state = '6';//$('#sc_returnVisit').val();
			break;
		default:
			break;
	}
	//先销毁表格
	$('#workorderlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#workorderlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrderNew/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,
				pagesize: params.pageSize,
				state: state, //	是	string	是否回访（0待回访，1已回访，null回访查询）
				code: $('#sc_key').val(), //	是	string	工单编号
				source: $('#sc_source').val(), //	是	string	工单来源(字典)
				type: $('#sc_order_type').val(), //	是	string	工单类型(字典)
				// callresultid: $('#sc_callResult').val(), //	呼叫结果
				starttime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0], //否	string	工单起止时间
				endtime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1], //否	string	工单起止时间
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

function btn_delete(id) {
	layer.confirm('是否完结？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "get",
			url: huayi.config.callcenter_url + "WorkOrderNew/EndOrder",
			dataType: 'json',
			async: true,
			data: {
				orderid:id,
				isover:1,
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("完结成功！");
				$('#workorderlist').bootstrapTable('refresh');
				top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
			}
		});
	});
}
//格式化工单编号
function formatterOrderId(val, row) {
	return '<div class="imgs" ><a class="xg" onclick= btn_detail("' + row.F_ID + '") >' + val + '</a></div>';
}

//格式化客户电话（待回访）
function formatterTel(val, row) {
	return '<div class="imgs" ><a class="xg" onclick= btn_visit("' + row.F_ID + '") >' + val + '</a></div>';
}

//格式化客户电话（已回访）
function formatterHaveTel(val, row) {
	return '<div class="imgs" ><a class="xg" onclick= btn_haveVisit("' + row.F_ID + '") >' + val + '</a></div>';
}
//格式化 工单状态
function formatterState(val) {
	var state = '-';
	var stateClass = "";
	switch(val) { //工单状态
		case 4:
			state = '待回访';
			stateClass = 'audit_wait';
			break;
		case 6:
			state = '已回访';
			stateClass = 'audit_revoke';
			break;
		case 7:
			state = '待完结';
			stateClass = 'audit_done';
			break;
		default:
			break;
	}
	return '<div class="' + stateClass + '">' + state + '</div>';
}

//格式化 工单有效性
function formatterIsEffective(val) {
	var stateStr = '-';
	var stateClass = '';
	switch(val) { //是否有效工单项(0有效，1无效)
		case 0:
			stateStr = '有效';
			stateClass = 'audit_done';
			break;
		case 1:
			stateStr = '无效';
			stateClass = 'audit_revoke';
			break;
		default:
			break;
	}
	return '<div class="' + stateClass + '">' + stateStr + '</div>';
}

//格式化回访状态
function formatterIsReturnBak(val) {
	var stateStr = '';
	switch(val) { //0 待回访， 1 已回访
		case 0:
			stateStr = '待回访';
			stateClass = 'audit_wait';
			break;
		case 1:
			stateStr = '已回访';
			stateClass = 'audit_done';
			break;
		default:
			break;
	}
	return '<div class="' + stateClass + '">' + stateStr + '</div>';
}

//格式化 反馈内容
function formatterDetail(val) {
	if(val) {
		var strD = decodeURIComponent(val);
		strD = helper.filter.filterHTMLTag(strD);
		if(strD.length > 10) {
			strD = strD.substring(0, 10) + '...';
		}
		return strD;
	}

}

//格式化接收人
function formatterAuditUser(val) {
	if(val === "0") {
		return '-';
	} else {
		return val;
	}
}

//查看详情
function btn_detail(oid) {
	// alert(11111);
	$(".ckxq").removeClass("Hidens");
	detailOrderNum = oid;
	$(".ckxq ul li").eq(0).trigger("click");
	
	// $('#order_details').load('../template/orderDetails.html');

	// $("#order_details").removeClass("Hidens");
	// detailOrderNum = oid;
}

//回访
function btn_visit(oid) {
	layer.open({
		type: 2,
		title: '回访信息',
		maxmin: true, //开启最大化最小化按钮
		shade: 0,
		area: ['80%', '90%'],
		content: '../commonTpl/LookMessage.html?oid=' + oid
	});
}
function formatterOprateDispose(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_transfer_' + row.F_ID + '" onclick="btn_receiv(\'' + row.F_ID + '\')" title="完结">完结</a></li>' +
		'</ul>';
}
//删除
function btn_receiv(id) {
	layer.confirm('确定完结？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "WorkOrderNew/EndOrder",
			dataType: 'json',
			async: true,
			data: {
				orderid:id,
				isover:1,
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("删除成功！");
				debugger
				$('#workorderlist').bootstrapTable('refresh');
				top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
			}
		});
	});
}
//回访结果
function btn_haveVisit(oid) {
	layer.open({
		type: 2,
		title: '回访结果信息',
		maxmin: true, //开启最大化最小化按钮
		shade: 0,
		area: ['80%', '90%'],
		content: '../commonTpl/LookMessages.html?oid=' + oid
	});
}
//获取工单详情
function getWorkOrderDetails() {
	$.getJSON(huayi.config.callcenter_url + 'WorkOrderNew/GetDetails', {
		id: detailOrderNum,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {

			if(result.rows && result.rows.length > 0) {
				var data = result.rows[0];
				$("#xq_gdbh").text(data.F_WorkOrderCode);//工单编号
				$("#xq_gdlx").text(data.F_StateName); //工单状态
				$("#xq_cjsj").text(data.F_SourceName); //工单来源
				$("#xq_gdzt").text(data.F_TypeName); //工单类型
		// 咨询详情模块
			    $("#con_witl").text(data.F_QuestionType); //问题类别
			    $("#con_cpiit").text(data.F_TS_Category); //产品名称
			    $("#con_wtlin").text(data.F_ZX_Quantity); //问题数量
				$("#con_refer").text(data.F_SalesBase); //销售基地
		// 投诉详情模块	
			    $("#lain_cuse").text(data.F_TS_Category); //产品名称
			    $("#lain_licti").text(data.F_ZX_Quantity); //问题数量
			    $("#lain_citon").text(data.F_SalesBase); //销售基地
			    $("#lain_kicou").text(data.F_BatchNumber); //生产批次号
			    $("#lain_with1").text(data.F_QuestionTypeone); //问题类别1
				$("#lain_with2").text(data.F_QuestionTypetwo); //问题类别2
				$("#lain_with3").text(data.F_QuestionType); //问题类别3
				$("#lain_iunct").text(data.F_TS_Level); //重要级别
		// 抽检详情模块
				$("#spot_spion").text(data.F_QuestionType); //问题类别
				$("#spot_jion").text(data.F_CJ_Level); //抽检级别
				$("#spot_danei").text(data.F_CJ_Unit); //抽检单位
				$("#spot_dunus").text(data.F_CJ_Tonnage); //抽检吨数
				$("#spot_dihi").text(data.F_CJ_BagNo); //抽检袋数
				$("#spot_time").text(data.F_CJ_Time); //抽检时间
				$("#spot_unit").text(data.F_CJ_TestUnit); //化验单位
				$("#spot_cihao").text(data.F_BatchNumber); //生产批次号
				$("#spot_cihicon").text(data.F_CJ_Outlay); //公关费用
	   // 客户编号 物料编号模块
				$("#client_ciont").text(data.F_CJ_Outlay); //客户编号 ........
				$("#client_wich").text(data.F_Salesman); //业务员
				$("#client_bnum").text(data.F_SalesPhone); //电话
				$("#client_xlx").text(data.client_xlx); //经营品牌
				$("#client_uict").text(data.F_AreaName); //大区
				$("#client_tyicu").text(data.F_BranchName); //分公司
								
				$("#client_citon").text(data.F_MaterialID); //物料编码
				$("#client_ituec").text(data.F_MaterialName); //物料名称
				$("#client_uitio").text(data.F_Model); //型号
				$("#client_yousft").text(data.F_Specs); //规格
				$("#client_classify1").text(data.F_Level1); //一级分类
				$("#client_classify2").text(data.F_Level2); //二级分类
				$("#client_classify3").text(data.F_Level3); //三级分类
				$("#client_lovei").text(data.F_Brand); //品牌
				$("#client_fpeiro").text(data.F_MaterialEffect); //复合肥肥效
				$("#client_chnpin").text(data.F_Pipeline); //产品线
				$("#client_goniy").text(data.F_Craft); //工艺
				// 客户姓名 事发地模块
			    $("#xq_khxm").text(data.F_CusName); //客户姓名
				$("#xq_khdh").text(data.F_CusPhone); //客户电话
				$("#xq_company").text(data.F_CompanyName); //公司名称
			    $("#xq_source").text(data.F_IncidentProvince); //事发地省
			    $('#xq_dieuig').text(data.F_IncidentCity); //事发地市	
			    $('#xq_handle').text(data.F_IncidentCountry); //事发地县	
			    $("#xq_fkdep").text(data.F_IncidentTownship); //事发地乡
			    $("#xq_responseUser").text(data.F_IncidentDetailed); //事发地详细地址
				if($("#xq_gdzt").text()=="咨询"){
					$('.zixun1').show();//咨询模块
					$('.kehu1').show(); //客户姓名 事发地
					$('.tousu1').hide();//咨询模块
					$('.bianhao1').hide();//客户 物料编码
					$('.choujian1').hide();//咨询模块
				}else if($("#xq_gdzt").text()=="投诉"){
					$('.tousu1').show();//咨询模块
					$('.bianhao1').show();//客户 物料编码
					$('.kehu1').show();//客户姓名 事发地
					$('.zixun1').hide();//咨询模块
					$('.kehu1').hide(); //客户姓名 事发地
					$('.choujian1').hide();//咨询模块
				}else if($("#xq_gdzt").text()=="抽检"){
					$('.choujian1').show();//咨询模块
					$('.bianhao1').show();//客户 物料编码
					$('.kehu1').show();//客户姓名 事发地
					$('.tousu1').hide();//咨询模块
					$('.zixun1').hide();//咨询模块
					$('.kehu1').hide(); //客户姓名 事发地
				}else if($("#xq_gdzt").text()=="咨询"){
					$('.zixun1').show();//咨询模块
					$('.kehu1').show(); //客户姓名 事发地
					$('.tousu1').hide();//咨询模块
					$('.bianhao1').hide();//客户 物料编码
					$('.choujian1').hide();//咨询模块
				}
				
			
			
				// $("#xq_gdnr").html(decodeURIComponent(data.Detail)); //反馈内容
				// if(data.IsEffective === 0) {
				// 	$('.xq_notes').hide();
				// } else {
				// 	$('.xq_notes').show();
				// 	$("#xq_note").text(data.Province); //无效原因
				// }

			}
		}
	});
}

//获取 处理记录催办记录评论记录
function getItemList(type) {
	//先销毁表格
	var table = $("#itemTableList" + type);
	table.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	table.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrderNew/GetItemList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				type: type,
				id: detailOrderNum,
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//获取修改记录
function initTableLogs() {
	//先销毁表格
	$('#itemTableList4').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#itemTableList4").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrderLogs/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber, //否	int	当前页
				pagesize: params.pageSize, //否	int	每页数
				// orderid: detailOrderNum, //否	string	工单编号
				orderid: $("#xq_gdbh").text(), //否	string 工单编号
				//				keyword: detailOrderNum, //否	string	模糊搜索（之前反馈内容，修改的反馈内容，工单编号）
				//starttime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0], //否	string	工单起止时间
				//endtime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1], //否	string	工单起止时间
				token: $.cookie("token"),
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
			authorizeOperateButton();
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//格式化处理详情
function formatterDealDetail(val, row) {
    var str = '';
    if (row.F_OptType == 0)
        str = str + row.F_CreateUser + " 创建工单" + "<br>"; //formatterUserName(row.F_CreateName, row.F_CreateUser)
    if (row.F_OptType == 1)
        str = str + row.F_CreateUser + " 指派工单";
    if (row.F_OptType == 2)
        str = str + row.F_CreateUser + " 接单" + "<br>";
    if (row.F_OptType == 3)
        str = str + row.F_CreateUser + " 处理工单";
    if (row.F_OptType == 4)
        str = str + row.F_CreateUser + " 退回工单";
    if (row.F_OptType == 5)
        str = str + row.F_CreateUser + " 异常退回";
    if (row.F_OptType == 6)
        str = str + row.F_CreateUser + " 催办工单";
    if (row.F_OptType == 7)
        str = str + row.F_CreateUser + " 完结工单";
    if (row.F_OptType == 8)
        str = str + row.F_CreateUser + " 评价工单";
    if (row.F_OptType == 9)
        str = str + row.F_CreateUser + " 修改工单";
    if (row.F_OptType == 10)
        str = str + row.F_CreateUser + " 删除工单";
    if (row.F_OptType == 11)
        str = str + row.F_CreateUser + " 待办理工单";
    if (row.F_OptType == 12)
        str = str + row.F_CreateUser + " 办理工单";
    if (row.F_OptType == 13)
        str = str + row.F_CreateUser + " 回访工单";
    if (row.F_OptType == 14)
        str = str + row.F_CreateUser + " 延期工单";

	//if(!row.IsLast && !row.DealTime && !row.SureUserName && !row.ToDeptName){
	//	str = str + row.CreateUserName + " 创建了工单。" + "<br>";
	//}
	//if(row.IsLast) {
	//	str = str + row.CreateUserName + " 完结工单。" + "<br>";
	//}
	//if(row.DealTime) {
	//	str = str + row.CreateUserName + " 处理工单：" + "<br>";
	//	str = str + row.Detail + "<br>";
	//}
	//if(row.SureUserName) {
	//	str = str + row.SureUserName + " 接单。" + "<br>";
	//}
	
	//if(row.ToDeptName) {
	//	if(row.State != 6){
	//		str = str + row.CreateUserName + " 指派工单给 " + row.ToDeptName + "：";
	//		if(row.ToUserName) {
	//			str = str + row.ToUserName;
	//		}
	//	}
	//	if(row.State === 6){
	//		str = str +  row.ToDeptName + "：" + row.ToUserName  + " 将工单退回给 " + row.CreateUserName;
	//	}
	//	str = str + "<br>";
	//}
	
	//if(row.IsStart) {
	//	str = str + row.CreateUserName + " 重新开启工单。" + "<br>";
	//}
	return str;
}




//格式化操作 （修改记录）
function formatterOprateLogs(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_deleteLogs_' + row.Id + '" onclick="btn_deleteLogs(' + row.Id + ')" title="删除">删除</a></li>' +
		'</ul>';
}

//修改记录删除
function btn_deleteLogs(oid) {
	layer.confirm('确定删除当前记录？', {
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "WorkOrderLogs/Delete",
			dataType: 'json',
			async: true,
			data: {
				ids: oid,
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("删除成功！");
				$('#itemTableList4').bootstrapTable('refresh');
				layer.close(index);
			}
		});
	});
}

//导出
function dcexcel(obj) {
	var orderMenu = top.$("iframe:visible")[0].src.split('/visit/')[1];
	//console.log(orderMenu);
	//是否回访（4待回访，1已回访，null回访查询）
	var state = '';
	switch(orderMenu) {
		case "awaitVist.html": //待回访
			state = '4';
			break;
		case "haveVisit.html": //已回访
			state = '6';
			break;
		case "resultVisit.html": //综合查询
			state = '6';
			break;
		default:
			break;
	}
	var url = huayi.config.callcenter_url + "WorkOrderNew/ExportVisitList?token=" + $.cookie("token");
	url += "&isreturnbak=" + state;
	url += "&id=" + $("#sc_key").val();
	url += "&type=" + $("#sc_source").val();
	url += "&starttime=" + ($('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0]);
	url += "&endtime=" + ($('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1]);
	obj.href = url;
}

//导入
function btn_export() {
	layer.open({
		maxmin: true, //开启最大化最小化按钮
		type: 2,
		content: "import.html", //iframe的url，no代表不显示滚动条
		title: '导入信息',
		area: ['50%', '55%'], //宽高
	});
}

//获取 userType 判断按钮权限
function authorizeOperateButton() {
	var userType = $.cookie("userType");
	//userType = "-1";//测试数据
	$('.tool_downs').find('[authorize=yes]').hide();
	$('#workorderlist').find('.workOprate').hide();
	switch(userType) {
		case "-1":
			$('.tool_downs').find('[authorize=yes]').show();
			$('#workorderlist').find('.workOprate').show();
			break;
		case "1": //接待部 （创建、处理、修改工单）
			break;
		case "2": //2--案场经理  --项目负责人 (查看、接单、处理、催办)
			break;
		case "3": //3--销售部总经理 --物业部总经理 --工程总经理 --设计总经理 (可查看分配至各案场经理的所有单子，并跟踪查阅进度)
			break;
		case "4": //4--区域客服  （查看、分配（工程人员、设计人员）、催办）
			break;
		default:
			break;
	}

}